Bug 1305634 - [RFE] provide a smaller container for just man pages
[RFE] provide a smaller container for just man pages
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-tools-docker (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Eliska Slobodova
atomic-bugs@redhat.com
Vikram Goyal
: Extras, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 14:08 EST by Micah Abbott
Modified: 2018-02-01 21:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Micah Abbott 2016-02-08 14:08:47 EST
Description of problem:

The current 'rhel-tools' container is the preferred way of accessing man pages for the RHEL Atomic Host.  Unfortunately, it weighs in at 1.159 GB, which is quite large if you just need access to man pages.

We could still provide the 'rhel-tools' container with the man pages (or perhaps link containers).
Comment 1 Daniel Walsh 2016-02-08 14:13:54 EST
Could we start to put the RHEL-tools container into a layered mode, where we could make the man pages as lower layer.  Rather then building a totally separate container image.
Comment 2 Micah Abbott 2016-02-08 14:18:28 EST
Sounds like a good approach; it also means we don't have to track separate deliverables.
Comment 4 Eliska Slobodova 2016-04-05 03:40:55 EDT
Hi guys, OSBS squashes images, so I believe "layered mode" wouldn't work here.
Comment 5 Daniel Walsh 2016-10-18 12:57:30 EDT
Any one examined why the RHEL tools container is so HUGE?

Note You need to log in before you can comment on or make changes to this bug.